RESTinio

Classes | Namespaces | Functions
from_string_details.ipp File Reference

Go to the source code of this file.

## Classes
struct | restinio::utils::details::int8_parse_traits_t
struct | restinio::utils::details::uint8_parse_traits_t
struct | restinio::utils::details::int16_parse_traits_t
struct | restinio::utils::details::uint16_parse_traits_t
struct | restinio::utils::details::int32_parse_traits_t
struct | restinio::utils::details::uint32_parse_traits_t
struct | restinio::utils::details::int64_parse_traits_t
struct | restinio::utils::details::uint64_parse_traits_t

## Namespaces
namespace | restinio
namespace | restinio::utils
namespace | restinio::utils::details

## Functions
template<typename C >
const C * | restinio::utils::details::digits_mapping ()
template<typename Integer >
Integer | restinio::utils::details::parse_integer_no_checks (const std::uint8_t *const mapping_table, const char *data_begin, const char *data_end, bool apply_minus_sign, std::true_type)
template<typename Integer >
Integer | restinio::utils::details::parse_integer_no_checks (const std::uint8_t *const mapping_table, const char *data_begin, const char *data_end, bool, std::false_type)
template<typename Traits >
Traits::type_t | restinio::utils::details::parse_integer (const char *data_begin, const char *data_end)